import { builder } from '@builder.io/sdk'
import { CartWithActions } from '@shopify/hydrogen'
import { handleGwp } from '../index'
import handleAddItems from './handleAddItems'
import handleRemoveItems from './handleRemoveItems'

const handleChanges = async (cart: CartWithActions) => {
  builder.init('f8bc0a42f3814e68bfd223d2ea72634c') // should get it from .env

  const { data } = await builder.get('store-settings').promise() // should get it from .env
  const gwpRes = handleGwp(cart, data.gwpSettings)

  if (cart.status === 'idle') {
    // should get it from .env
    handleAddItems(gwpRes.itemsToAdd, cart.linesAdd)

    handleRemoveItems(gwpRes.itemsToRemove, cart)
  }
}

export default handleChanges
