import { Cart } from '@shopify/hydrogen'

const handleOldGwps = (cart: Cart, currentGwps: string[]): string[] =>
  cart.lines
    .filter(
      (i) =>
        !currentGwps.includes(i.merchandise.product.handle) &&
        i.attributes?.filter((a) => a.key === 'type' && a.value === 'GWP')
          .length > 0
    )
    .map((i) => i.merchandise.product.handle)

export default handleOldGwps
